Package org.apache.tapestry5.corelib.pages

## Class ComponentLibraries

- java.lang.Object
- - org.apache.tapestry5.corelib.pages.ComponentLibraries

-     @UnknownActivationContextCheck(false)
      @WhitelistAccessOnly
      public class ComponentLibraries
      extends java.lang.Object

  Page used to describe the component libraries being used in the application. Notice: the implementation of this page was done to avoid creating components, so the Tapestry 5 Core Library didn't get polluted with internal-only components.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentLibraries()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Block` | `getComponentsTable()` |
    `Description` | `getDescription()` |
    `ComponentLibraryInfo` | `getInfo()` |
    `java.lang.String` | `getJavaDocUrl()` |
    `java.lang.String` | `getLibraryClientId()` |
    `java.util.List<LibraryMapping>` | `getLibraryMappings()` |
    `java.util.List<java.lang.String>` | `getLibraryNames()` |
    `Block` | `getMixinsTable()` |
    `Block` | `getPagesTable()` |
    `java.lang.String` | `getSimpleLogicalName()` |
    `java.lang.String` | `getSourceUrl()` |
    `java.lang.String[]` | `getTags()` |
    `boolean` | `isClassHasTags()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentLibraries

          public ComponentLibraries()

  - ### Method Detail

    - #### getLibraryMappings

          @Cached
          public java.util.List<LibraryMapping> getLibraryMappings()

    - #### getInfo

          @Cached(watch="libraryMapping")
          public ComponentLibraryInfo getInfo()

    - #### getLibraryNames

          public java.util.List<java.lang.String> getLibraryNames()

    - #### getLibraryClientId

          public java.lang.String getLibraryClientId()

    - #### getComponentsTable

          public Block getComponentsTable()

    - #### getPagesTable

          public Block getPagesTable()

    - #### getMixinsTable

          public Block getMixinsTable()

    - #### getSourceUrl

          public java.lang.String getSourceUrl()

    - #### getJavaDocUrl

          public java.lang.String getJavaDocUrl()

    - #### getSimpleLogicalName

          public java.lang.String getSimpleLogicalName()

    - #### getTags

          @Cached(watch="logicalName")
          public java.lang.String[] getTags()
                                     throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### getDescription

          @Cached(watch="logicalName")
          public Description getDescription()
                                     throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### isClassHasTags

          public boolean isClassHasTags()
                                 throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`